/** @odoo-module */

import { patch } from "@web/core/utils/patch";
import { PosStore } from "@point_of_sale/app/store/pos_store";

patch(PosStore.prototype, {
    getReceiptHeaderData(order = this.get_order()) {
        const date = this.selectedOrder.id
        console.log("order",order)
        const result = super.getReceiptHeaderData(...arguments);
        result.partner = order.partner_id
        result.date_order = order.date_order;
        return result
    },
});